## org.jboss.netty.handler.codec.frame
Class CorruptedFrameException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.netty.handler.codec.frame.CorruptedFrameException

All Implemented Interfaces:
  Serializable

    public class CorruptedFrameException

extends Exception

An `Exception` which is thrown when the received frame data can not be decoded by a `FrameDecoder` implementation.

Version:
  $Rev:231 $, $Date:2008-06-12 16:44:50 +0900 (목, 12 6월 2008) $
Author:
  The Netty Project, Trustin Lee
See Also:
  Serialized Form

Constructor Summary
`CorruptedFrameException()` Creates a new instance.
`CorruptedFrameException(String message)` Creates a new instance.
`CorruptedFrameException(String message, Throwable cause)` Creates a new instance.
`CorruptedFrameException(Throwable cause)` Creates a new instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CorruptedFrameException

    public CorruptedFrameException()

  Creates a new instance.

### CorruptedFrameException

    public CorruptedFrameException(String message,
                                   Throwable cause)

  Creates a new instance.

### CorruptedFrameException

    public CorruptedFrameException(String message)

  Creates a new instance.

### CorruptedFrameException

    public CorruptedFrameException(Throwable cause)

  Creates a new instance.

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.